## org.jfree.chart.urls
Class CustomPieURLGenerator

    java.lang.Object
      org.jfree.chart.urls.CustomPieURLGenerator

All Implemented Interfaces:
  java.lang.Cloneable, PieURLGenerator, org.jfree.util.PublicCloneable, java.io.Serializable

public class CustomPieURLGenerator
extends java.lang.Object
implements PieURLGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A custom URL generator for pie charts.

See Also:
  Serialized Form

Constructor Summary
`CustomPieURLGenerator()` Default constructor.

Method Summary
`void` `addURLs(java.util.Map urlMap)` Adds a map of URLs.
`java.lang.Object` `clone()` Returns a clone of the generator.
`boolean` `equals(java.lang.Object o)` Tests if this object is equal to another.
`java.lang.String` `generateURL(PieDataset dataset, java.lang.Comparable key, int pieIndex)` Generates a URL.
`int` `getListCount()` Returns the number of URL lists stored by the renderer.
`java.lang.String` `getURL(java.lang.Comparable key, int pieItem)` Returns the URL for an item.
`int` `getURLCount(int list)` Returns the number of URLs in a given list.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomPieURLGenerator

    public CustomPieURLGenerator()

  Default constructor.

Method Detail

### generateURL

    public java.lang.String generateURL(PieDataset dataset,
                                        java.lang.Comparable key,
                                        int pieIndex)

  Generates a URL.

  Specified by:
    `generateURL` in interface `PieURLGenerator`
  Parameters:
    `dataset` - the dataset.
    `key` - the item key.
    `pieIndex` - the pie index (ignored).
  Returns:
    a string containing the generated URL.

### getListCount

    public int getListCount()

  Returns the number of URL lists stored by the renderer.

  Returns:
    The list count.

### getURLCount

    public int getURLCount(int list)

  Returns the number of URLs in a given list.

  Parameters:
    `list` - the list index (zero based).
  Returns:
    The URL count.

### getURL

    public java.lang.String getURL(java.lang.Comparable key,
                                   int pieItem)

  Returns the URL for an item.

  Parameters:
    `key` - the key.
    `pieItem` - the item index.
  Returns:
    The URL.

### addURLs

    public void addURLs(java.util.Map urlMap)

  Adds a map of URLs.

  Parameters:
    `urlMap` - the URLs.

### equals

    public boolean equals(java.lang.Object o)

  Tests if this object is equal to another.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the generator.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported.